Bug 505072 - virt-mem "invalid argument in virDomainLookupByUUIDString" error
virt-mem "invalid argument in virDomainLookupByUUIDString" error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-mem (Show other bugs)
11
All Linux
high Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 11:25 EDT by Matěj Cepl
Modified: 2009-10-09 10:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 10:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-06-10 11:25:41 EDT
Description of problem:
bradford:~# LANG=C virt-ifconfig rawhide
libvir: error : invalid argument in virDomainLookupByUUIDString
Fatal error: exception Failure("rawhide: use -W to define word size for this image")
bradford:~# 

The same with virt-mem, virt-dmesg, virt-uname, and virt-ps and without matter whether the guest machine is rawhide, F10, or RHEL5

Version-Release number of selected component (if applicable):
virt-mem-0.3.1-6.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2009-06-10 12:14:05 EDT
Yes, this is a real bug.  I have the fix, it's buried on my old
laptop somewhere.  I'll dig it out at some point...
Comment 2 Mark McLoughlin 2009-06-22 09:05:00 EDT
Confirmed in F11, adding to F11VirtTarget
Comment 3 Richard W.M. Jones 2009-10-09 10:25:35 EDT
virt-mem is obsolete and will be removed/replaced in favour
of this:

http://git.et.redhat.com/?p=virt-tools.git;a=summary
http://rwmj.wordpress.com/2009/09/24/virt-ifconfig/

Note You need to log in before you can comment on or make changes to this bug.